Subject: Save Big on Cleaning Equipment!

From: <[email-masked]>
Date: Tue, 6 Feb 2001 10:05:20

Visit www.CleanFreak.com, the site that provides solutions for 
cleaning and janitorial professionals. Our volume purchasing 
allows you to save 20% to 48% on high quality janitorial equipment 
and supplies. All items are in stock. Our fast 24 hour order 
processing insures you'll shop with us again!

<a href="http://www.cleanfreak.com">www.CleanFreak.com </a> 

Note: If this link is not highlighted in your browser please type 
in http://www.CleanFreak.com to view our site. Thank you.